curl https://api.lumenfall.ai/v1/balance \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
import requests
response = requests.get(
"https://api.lumenfall.ai/v1/balance",
headers={"Authorization": "Bearer your-lumenfall-api-key"}
)
print(response.json())
const response = await fetch("https://api.lumenfall.ai/v1/balance", {
headers: { Authorization: "Bearer your-lumenfall-api-key" },
});
const balance = await response.json();
console.log(balance);
{
"object": "balance",
"billing_type": "prepaid",
"available": {
"amount": 12.50,
"currency": "usd"
}
}
{
"object": "balance",
"billing_type": "postpaid",
"available": {
"amount": null,
"currency": "usd"
}
}
Billing
Get balance
Retrieve your current account balance and billing type
GET
/
v1
/
balance
curl https://api.lumenfall.ai/v1/balance \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
import requests
response = requests.get(
"https://api.lumenfall.ai/v1/balance",
headers={"Authorization": "Bearer your-lumenfall-api-key"}
)
print(response.json())
const response = await fetch("https://api.lumenfall.ai/v1/balance", {
headers: { Authorization: "Bearer your-lumenfall-api-key" },
});
const balance = await response.json();
console.log(balance);
{
"object": "balance",
"billing_type": "prepaid",
"available": {
"amount": 12.50,
"currency": "usd"
}
}
{
"object": "balance",
"billing_type": "postpaid",
"available": {
"amount": null,
"currency": "usd"
}
}
Returns the current balance and billing type for your account.
This endpoint uses the native Lumenfall API path (
/v1/balance), not the OpenAI-compatible prefix (/openai/v1).Response
string
Always
balance.string
Your account’s billing type - either
prepaid or postpaid.object
curl https://api.lumenfall.ai/v1/balance \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
import requests
response = requests.get(
"https://api.lumenfall.ai/v1/balance",
headers={"Authorization": "Bearer your-lumenfall-api-key"}
)
print(response.json())
const response = await fetch("https://api.lumenfall.ai/v1/balance", {
headers: { Authorization: "Bearer your-lumenfall-api-key" },
});
const balance = await response.json();
console.log(balance);
{
"object": "balance",
"billing_type": "prepaid",
"available": {
"amount": 12.50,
"currency": "usd"
}
}
{
"object": "balance",
"billing_type": "postpaid",
"available": {
"amount": null,
"currency": "usd"
}
}